<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myHistoryReasonLabel" jhiTranslate="mpmApp.historyReason.home.createOrEditLabel">Create or edit a History Reason</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!historyReason.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="historyReason.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.historyReason.idreason" for="field_idreason">Idreason</label>
            <input type="text" class="form-control" name="idreason" id="field_idreason"
                [(ngModel)]="historyReason.idreason"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.historyReason.idforeign" for="field_idforeign">Idforeign</label>
            <input type="text" class="form-control" name="idforeign" id="field_idforeign"
                [(ngModel)]="historyReason.idforeign"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.historyReason.dtcreated" for="field_dtcreated">Dtcreated</label>
            <div class="d-flex">
                <input id="field_dtcreated" type="datetime-local" class="form-control" name="dtcreated" [(ngModel)]="historyReason.dtcreated"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.historyReason.createdby" for="field_createdby">Createdby</label>
            <input type="text" class="form-control" name="createdby" id="field_createdby"
                [(ngModel)]="historyReason.createdby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.historyReason.descriptions" for="field_descriptions">Descriptions</label>
            <input type="text" class="form-control" name="descriptions" id="field_descriptions"
                [(ngModel)]="historyReason.descriptions"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
